import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import { Toaster } from 'sonner';

import { createBrowserRouter, RouterProvider } from 'react-router-dom';

import './index.css';

// Pages
import App from './App.jsx';
import Landing from './pages/Landing';
import About from './pages/About';

const router = createBrowserRouter([
  {
    path: '/',
    element: <App />,
    children: [
      {
        path: '/',
        element: <Landing />,
      },
      {
        path: '/about',
        element: <About />,
      },
    ],
  },
]);

createRoot(document.getElementById('root')).render(
  <StrictMode>
    <Toaster position='top-center' richColors theme='light' />
    <RouterProvider router={router} />
  </StrictMode>
);
